<bugID>613364<Summary>javascript strict errors fail to show</Summary><Description>JavaScript strict error: http://z-ecx.images-amazon.com/images/G/01/goldbox/client-side/deal_notifier-v7._V194170980_.js, line 368: assignment to undeclared variable Deal

Apparently, we have a typeStrict property in the properties file: 
http://mxr.mozilla.org/mozilla-central/source/toolkit/locales/en-US/chrome/global/headsUpDisplay.properties#6 

but, at least some strict errors trigger:

WARNING: NS_ENSURE_TRUE(aName) failed: file /home/ddahl/code/moz/mozilla-central/mozilla-central/intl/strres/src/nsStringBundle.cpp, line 270
JavaScript error: , line 0: uncaught exception: [Exception... "Component returned failure code: 0x80004003 (NS_ERROR_INVALID_POINTER) [nsIStringBundle.GetStringFromName]"  nsresult: "0x80004003 (NS_ERROR_INVALID_POINTER)"  location: "JS frame :: resource:///modules/HUDService.jsm :: HS_getStr :: line 1382"  data: no]


When I logged the arg 'aName' in HS_getStr, aName is undefined.</Description></bugID>